> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Instalment by transactionId



## OpenAPI

````yaml instalment get /v1/transaction/{transactionId}
openapi: 3.0.3
info:
  description: Endpoint for manipulating instalments
  version: '1'
  title: Instalment API
  contact:
    name: Enfuce Financial Services
    url: https://enfuce.com
    email: info@enfuce.com
  x-logo:
    url: https://developer.enfuce.com/images/enfuce.svg
    altText: Enfuce logo
servers:
  - url: >-
      https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/instalment
  - url: https://integration-api-cat2.live.ext.prod.cia.enfuce.com/instalment
    description: Live environment
security:
  - basicAuth: []
paths:
  /v1/transaction/{transactionId}:
    get:
      tags:
        - Instalment Operations
      summary: Get Instalment by transactionId
      operationId: getInstalmentByTransactionId
      parameters:
        - $ref: '#/components/parameters/AuditUser'
        - name: transactionId
          in: path
          description: The transaction Id
          required: true
          schema:
            $ref: '#/components/schemas/transactionId'
      responses:
        '200':
          description: Instalment
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getInstalmentResponse'
        '401':
          $ref: '#/components/responses/error401'
        '403':
          $ref: '#/components/responses/error403'
        '404':
          $ref: '#/components/responses/InstalmentNotFoundError'
        '500':
          $ref: '#/components/responses/error500'
      deprecated: false
components:
  parameters:
    AuditUser:
      name: auditUser
      in: query
      description: The audit user to log the request
      required: true
      schema:
        type: string
  schemas:
    transactionId:
      type: string
      format: biginteger
      example: '8767653'
    getInstalmentResponse:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/instalmentId'
        instalmentOriginalId:
          $ref: '#/components/schemas/instalmentOriginalId'
        accountId:
          $ref: '#/components/schemas/accountId'
        creationDate:
          $ref: '#/components/schemas/creationDate'
        firstPayment:
          $ref: '#/components/schemas/firstPayment'
        lastPayment:
          $ref: '#/components/schemas/lastPayment'
        currency:
          $ref: '#/components/schemas/currency'
        effectiveRate:
          $ref: '#/components/schemas/effectiveRate'
          deprecated: true
        totalAmount:
          $ref: '#/components/schemas/totalAmount'
        principalAmount:
          $ref: '#/components/schemas/principalAmount'
        feeAmount:
          $ref: '#/components/schemas/feeAmount'
        interest:
          $ref: '#/components/schemas/interestDetails'
        paidAmount:
          $ref: '#/components/schemas/paidAmount'
        interestPaidAmount:
          $ref: '#/components/schemas/interestPaidAmount'
        principalPaidAmount:
          $ref: '#/components/schemas/principalPaidAmount'
        dueAmount:
          $ref: '#/components/schemas/dueAmount'
        overdueAmount:
          $ref: '#/components/schemas/overdueAmount'
        writtenOffAmount:
          $ref: '#/components/schemas/writtenOffAmount'
          deprecated: true
        reversed:
          $ref: '#/components/schemas/reversed'
        fullRepaymentAmount:
          $ref: '#/components/schemas/fullRepaymentAmount'
        status:
          $ref: '#/components/schemas/status'
          description: The status of the instalment plan
        lastUpdated:
          $ref: '#/components/schemas/lastUpdated'
        transactionId:
          $ref: '#/components/schemas/transactionId'
        description:
          $ref: '#/components/schemas/description'
        planOptions:
          $ref: '#/components/schemas/planOptionsResponse'
    instalmentId:
      type: string
      description: Instalment id
      example: '678543'
    instalmentOriginalId:
      type: string
      description: >-
        The id which links the original instalment and the new instalment
        resulted after revise process
      example: '678544'
    accountId:
      type: string
      maxLength: 255
      example: '677654434532'
    creationDate:
      type: string
      format: date-time
      description: The creation date
    firstPayment:
      type: string
      format: date
      description: The day of the first payment
    lastPayment:
      type: string
      format: date
      description: The day of the last payment
    currency:
      type: string
      description: The currency of the instalment
      example: NOK
    effectiveRate:
      type: number
      description: The effective rate. Please use `interest.effectiveRate` instead
      example: 10.46
    totalAmount:
      type: number
      description: The total amount of the instalment plan
      example: 1000
    principalAmount:
      type: number
      description: The principal amount
      example: 1000
    feeAmount:
      type: number
      description: The fee amount. Please use `interest.interestAmount` instead
      example: 10
      deprecated: true
    interestDetails:
      type: object
      properties:
        interestRate:
          type: number
          example: 9.9
          description: The interest rate
        effectiveRate:
          $ref: '#/components/schemas/effectiveRate'
        interestAmount:
          $ref: '#/components/schemas/interestAmount'
        interestAmountBilled:
          type: number
          description: The interest amount billed
          example: 10
    paidAmount:
      type: number
      description: The paid amount.
      example: 20
    interestPaidAmount:
      type: number
      description: The interest paid amount
      example: 20.57
    principalPaidAmount:
      type: number
      description: The principal paid amount
      example: 500
    dueAmount:
      type: number
      description: The due amount of the instalment plan
      example: 100
    overdueAmount:
      type: number
      description: The overdue amount of the instalment plan
      example: 200
    writtenOffAmount:
      type: number
      description: The written-off amount. Please use `reversed` instead
      deprecated: true
      example: 1000
    reversed:
      type: number
      description: The reversed amount
      example: 1000
    fullRepaymentAmount:
      type: number
      description: The full repayment amount of the instalment plan
      example: 900
    status:
      type: string
      enum:
        - INACTIVE
        - WAITING
        - OPEN
        - PAID
        - PAID_PARTIALLY
        - OVERDUE
        - REVISED
        - CLOSED
    lastUpdated:
      type: string
      format: date-time
      description: The last updated date
    description:
      type: string
      maxLength: 255
      description: Optional text describing the instalment request
      example: 'Instalment for product #4567'
    planOptionsResponse:
      type: object
      required:
        - type
      properties:
        type:
          $ref: '#/components/schemas/InstalmentPlanType'
      discriminator:
        propertyName: type
        mapping:
          BUY_NOW_PAY_LATER:
            $ref: '#/components/schemas/BNPLOptionsResponse'
          INTEREST_FREE:
            $ref: '#/components/schemas/InterestFreeOptionsResponse'
          FIXED_INTEREST:
            $ref: '#/components/schemas/FixedInterestOptionsResponse'
      oneOf:
        - $ref: '#/components/schemas/BNPLOptionsResponse'
        - $ref: '#/components/schemas/InterestFreeOptionsResponse'
        - $ref: '#/components/schemas/FixedInterestOptionsResponse'
    errorResponse:
      type: object
      properties:
        code:
          type: string
          description: An error code indicating what kind of error. I.e. HTTP error code
        message:
          type: string
          description: Error message in human-readable format
        id:
          type: string
          format: uuid
          description: Unique error identifier
        errorCode:
          type: string
          description: Enfuce code for a specific error type
          enum:
            - INSTALMENT_API_ERROR
            - INSTALMENT_API-ACCOUNT_NOT_FOUND
            - INSTALMENT_API-TRANSACTION_NOT_FOUND
            - INSTALMENT_API-ALREADY_EXIST
            - INSTALMENT_API-INSTALMENT_NOT_FOUND
            - INSTALMENT_API-INVALID_TENOR
            - INSTALMENT_API-INSTALMENT_CANNOT_BE_CLOSED
            - INSTALMENT_API-ALREADY_CLOSED
            - INSTALMENT_API-REVISED_INSTALMENT_CANNOT_BE_CLOSED
            - INSTALMENT_API-TRANSACTION_TYPE_NOT_ALLOWED
            - INSTALMENT_API-INVALID_VALUE
            - INSTALMENT_API-INVALID_ENUM_VALUE
            - INSTALMENT_API-INVALID_TYPE
            - INSTALMENT_API-VALUE_OUT_OF_RANGE
        errorType:
          type: string
          description: Error type
          enum:
            - STATIC_VALIDATION_ERROR
            - DYNAMIC_VALIDATION_ERROR
            - INTEGRATION_ERROR
            - SECURITY_ERROR
            - UNEXPECTED_ERROR
        errorReason:
          type: string
          description: Free-form text explaining the error reason
        timestamp:
          type: string
          format: date-time
          description: Datetime when error occurred
    interestAmount:
      type: number
      description: The predicted interest
      example: 90
    InstalmentPlanType:
      type: string
      enum:
        - BUY_NOW_PAY_LATER
        - INTEREST_FREE
        - FIXED_INTEREST
      description: The type of instalment plan.
    BNPLOptionsResponse:
      title: BUY_NOW_PAY_LATER
      description: The `paymentPlan.type` field should be BUY_NOW_PAY_LATER.
      type: object
      properties:
        shift:
          type: integer
          example: 2
          description: The number of months for which the plan is shifted.
    InterestFreeOptionsResponse:
      allOf:
        - $ref: '#/components/schemas/BaseInterestOptionsResponse'
      title: INTEREST_FREE
      description: The `paymentPlan.type` field should be INTEREST_FREE.
    FixedInterestOptionsResponse:
      required:
        - interest
      allOf:
        - $ref: '#/components/schemas/BaseInterestOptionsResponse'
      title: FIXED_INTEREST
      description: The `paymentPlan.type` field should be FIXED_INTEREST.
      properties:
        interest:
          type: number
          description: The interest rate
    BaseInterestOptionsResponse:
      required:
        - paymentPlan
      properties:
        paymentPlan:
          type: object
          required:
            - tenor
            - portion
          properties:
            tenor:
              $ref: '#/components/schemas/tenor'
            portionAmount:
              $ref: '#/components/schemas/portionAmount'
    tenor:
      type: integer
      description: Number of instalments
    portionAmount:
      type: number
      description: The portion amount
  responses:
    error401:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error403:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    InstalmentNotFoundError:
      description: Instalment not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error500:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
  securitySchemes:
    basicAuth:
      type: http
      description: >-
        Basic authentication is used to authenticate towards Enfuce API. It is
        described in more detail in RFC 7617.
      scheme: basic

````